# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2018-04-10 10:03
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('popolo', '0005_auto_20180406_2145'),
    ]

    operations = [
        migrations.CreateModel(
            name='EducationLevel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Education level name', max_length=128, verbose_name='name')),
                ('icse_code', models.PositiveSmallIntegerField(help_text='ICSE code of the level: 1-6', unique=True, verbose_name='icsed code')),
            ],
            options={
                'verbose_name': 'Education level',
                'verbose_name_plural': 'Education levels',
            },
        ),
        migrations.CreateModel(
            name='Profession',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Profession name', max_length=128, verbose_name='name')),
            ],
            options={
                'verbose_name': 'Profession',
                'verbose_name_plural': 'Professions',
            },
        ),
        migrations.AddField(
            model_name='person',
            name='education_level',
            field=models.ForeignKey(blank=True, help_text='The education level of this person', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='persons_with_this_education_level', to='popolo.EducationLevel', verbose_name='Education level'),
        ),
        migrations.AddField(
            model_name='person',
            name='profession',
            field=models.ForeignKey(blank=True, help_text='The profession of this person', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='persons_with_this_profession', to='popolo.Profession', verbose_name='Profession'),
        ),
    ]
